package at.procon.eventhub.tachographfilesession.service;

import at.procon.eventhub.tachographfilesession.model.TachographCompositeSession;
import java.util.List;
import java.util.Optional;
import java.util.UUID;

public interface TachographCompositeSessionRepository {

    TachographCompositeSession save(TachographCompositeSession session);

    Optional<TachographCompositeSession> find(UUID compositeSessionId);

    boolean delete(UUID compositeSessionId);

    List<TachographCompositeSession> list();
}
